%define major		6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		rtaudio
Version:	5.1.0
Release:	%mkrel 1
Summary:	C++ library for realtime Audio input/ouput
License:	MIT
Group:		Sound/Utilities
Url:		https://www.music.mcgill.ca/~gary/rtaudio/
Source0:	http://www.music.mcgill.ca/~gary/%{name}/release/%{name}-%{version}.tar.gz
Patch0:		rtaudio-5.0.0-pkgconfig.patch
Patch1:		0001-Adjust-CMake-public-header-installs-to-match-autotools.patch
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	doxygen
BuildRequires:	cmake

%description
A set of C++ classes that provide a common API for realtime audio input/output
for Linux (native ALSA, JACK, PulseAudio and OSS).

#------------------------------------------------

%package -n	%{libname}
Summary:	C++ library for realtime Audio input/ouput
Group:		System/Libraries

%description -n	%{libname}
A set of C++ classes that provide a common API for realtime audio input/output
for Linux (native ALSA, JACK, PulseAudio and OSS).

This package provides the shared library.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the development libraries and headers for %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

cd %{_builddir}/%{name}-%{version}/doc/doxygen; doxygen  Doxyfile.in

%install
%cmake_install

%files -n %{libname}
%doc README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc doc/html/
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/


%changelog
* Sun Dec 20 2020 daviddavid <daviddavid> 5.1.0-1.mga8
+ Revision: 1661599
- initial package rtaudio

